# Query: document
# ContextLines: 1

147 个结果 - 46 文件

.eslintrc-auto-import.json:
  137      "useDisplayMedia": true,
  138:     "useDocumentVisibility": true,
  139      "useDraggable": true,

LICENSE:
  5  Permission is hereby granted, free of charge, to any person obtaining a copy
  6: of this software and associated documentation files (the "Software"), to deal
  7  in the Software without restriction, including without limitation the rights

package-lock.json:
   9419        "dependencies": {
   9420:         "min-document": "^2.19.0",
   9421          "process": "^0.11.10"

  11293      },
  11294:     "node_modules/min-document": {
  11295        "version": "2.19.0",
  11296:       "resolved": "https://registry.npmjs.org/min-document/-/min-document-2.19.0.tgz",
  11297        "integrity": "sha512-9Wy1B3m3f66bPPmU5hdA4DR4PB2OfDU/+GS3yAB7IQozE3tqXaVv2zOjgla7MEGSRv95+ILmOuvhLkOK6wJtCQ==",

  23380        "requires": {
  23381:         "min-document": "^2.19.0",
  23382          "process": "^0.11.10"

  24764      },
  24765:     "min-document": {
  24766        "version": "2.19.0",
  24767:       "resolved": "https://registry.npmjs.org/min-document/-/min-document-2.19.0.tgz",
  24768        "integrity": "sha512-9Wy1B3m3f66bPPmU5hdA4DR4PB2OfDU/+GS3yAB7IQozE3tqXaVv2zOjgla7MEGSRv95+ILmOuvhLkOK6wJtCQ==",

pnpm-lock.yaml:
  5947      dependencies:
  5948:       min-document: 2.19.0
  5949        process: 0.11.10

  7029  
  7030:   /min-document@2.19.0:
  7031:     resolution: {integrity: sha512-9Wy1B3m3f66bPPmU5hdA4DR4PB2OfDU/+GS3yAB7IQozE3tqXaVv2zOjgla7MEGSRv95+ILmOuvhLkOK6wJtCQ==, tarball: https://registry.npmmirror.com/min-document/-/min-document-2.19.0.tgz}
  7032      dependencies:

src\components\bpmnProcessDesigner\package\designer\ProcessDesigner.vue:
  405    if (bpmnModeler) return
  406:   let data = document.getElementById('bpmnCanvas')
  407    console.log(data, 'data')

  422      // },
  423:     keyboard: props.keyboard ? { bindTo: document } : null,
  424      // additionalModules: additionalModules.value,

  525      if (href && filename) {
  526:       let a = document.createElement('a')
  527        a.download = filename //指定下载的文件名

src\components\bpmnProcessDesigner\package\designer\plugins\translate\zh.js:
  145    'Retry Time Cycle': '重试时间周期',
  146:   Documentation: '文档',
  147:   'Element Documentation': '元素文档',
  148    'History Configuration': '历史配置',

src\components\bpmnProcessDesigner\package\penal\base\ElementBaseInfo.vue:
  101  // const handleDescriptionUpdate=(value)=> {
  102: // TODO 芋艿：documentation 暂时无法修改，后续在看看
  103: // this.elementBaseInfo['documentation'] = value;
  104: // this.updateBaseInfo('documentation');
  105  // }

src\components\bpmnProcessDesigner\package\penal\other\ElementOtherConfig.vue:
   7            type="textarea"
   8:           v-model="documentation"
   9            resize="vertical"
  10            :autosize="{ minRows: 2, maxRows: 4 }"
  11:           @input="updateDocumentation"
  12:           @blur="updateDocumentation"
  13          />

  23  })
  24: const documentation = ref('')
  25  const bpmnElement = ref()
  26  const bpmnInstances = () => (window as any).bpmnInstances
  27: const updateDocumentation = () => {
  28    ;(bpmnElement.value && bpmnElement.value.id === props.id) ||
  29      (bpmnElement.value = bpmnInstances().elementRegistry.get(props.id))
  30:   const documentations = bpmnInstances().bpmnFactory.create('bpmn:Documentation', {
  31:     text: documentation.value
  32    })
  33    bpmnInstances().modeling.updateProperties(toRaw(bpmnElement.value), {
  34:     documentation: [documentations]
  35    })

  45        nextTick(() => {
  46:         const documentations = bpmnInstances().bpmnElement.businessObject?.documentation
  47:         documentation.value = documentations && documentations.length ? documentations[0].text : ''
  48        })
  49      } else {
  50:       documentation.value = ''
  51      }

src\components\bpmnProcessDesigner\src\utils\xml2json.js:
  2    let xmlObj = {}
  3:   if (document.all) {
  4      const xmlDom = new window.ActiveXObject('Microsoft.XMLDOM')

src\components\bpmnProcessDesigner\src\utils\directive\clickOutSide.js:
   7      const ele = el
   8:     const documentHandler = (e) => {
   9        if (!vnode.context || ele.contains(e.target)) {

  20      ele[ctx] = {
  21:       documentHandler,
  22        methodName: binding.expression,

  26      setTimeout(() => {
  27:       document.addEventListener('touchstart', documentHandler) // 为document绑定事件
  28      })

  35    unbind(el) {
  36:     document.removeEventListener('touchstart', el[ctx].documentHandler) // 解绑
  37      delete el[ctx]

src\components\Cropper\src\Cropper.vue:
  156    const sourceCanvas = cropper.value!.getCroppedCanvas()
  157:   const canvas = document.createElement('canvas')
  158    const context = canvas.getContext('2d')!

src\components\Dialog\src\Dialog.vue:
  41      if (val) {
  42:       const windowHeight = document.documentElement.offsetHeight
  43        dialogHeight.value = `${windowHeight - 55 - 60 - (slots.footer ? 63 : 0)}px`

src\components\DiyEditor\components\ComponentContainer.vue:
  29              <el-button @click.stop="handleCopyComponent()">
  30:               <Icon icon="ep:copy-document" />
  31              </el-button>

src\components\DiyEditor\components\mobile\HotZone\components\HotZoneEditDialog\controller.ts:
  128    // 监听鼠标移动
  129:   document.onmousemove = (e) => {
  130      // 移动宽度

  138    // 松开鼠标后，结束拖拽
  139:   document.onmouseup = () => {
  140:     document.onmousemove = null
  141:     document.onmouseup = null
  142    }

src\components\DiyEditor\components\mobile\PageConfig\config.ts:
  16    name: '页面设置',
  17:   icon: 'ep:document',
  18    property: {

src\components\Echart\src\Echart.vue:
  94  
  95:   contentEl.value = document.getElementsByClassName(`${variables.namespace}-layout-content`)[0]
  96    unref(contentEl) &&

src\components\Icon\src\data.ts:
  68      'coordinate',
  69:     'copy-document',
  70      'cpu',

  85      'dish-dot',
  86:     'document',
  87:     'document-add',
  88:     'document-checked',
  89:     'document-copy',
  90:     'document-delete',
  91:     'document-remove',
  92      'download',

src\components\Icon\src\Icon.vue:
  59    } else {
  60:     const span = document.createElement('span')
  61      span.className = 'iconify'

src\components\IFrame\src\IFrame.vue:
  12  const init = () => {
  13:   height.value = document.documentElement.clientHeight - 94.5 + 'px'
  14    loading.value = false

src\components\ImageViewer\index.ts:
  20    const propsData: Partial<ImageViewerProps> = {}
  21:   const container = document.createElement('div')
  22    propsData.urlList = urlList

  29  
  30:   document.body.appendChild(container)
  31    instance = createVNode(ImageViewer, propsData)

src\components\Pagination\index.vue:
  51      type: Number,
  52:     default: document.body.clientWidth < 992 ? 5 : 7
  53    }

src\components\Qrcode\src\Qrcode.vue:
  153    const drawLogoWithCanvas = (image: HTMLImageElement) => {
  154:     const canvasImage = document.createElement('canvas')
  155      canvasImage.width = logoXY + logoWidth

  180  const getOriginWidth = async (content: string, options: QRCodeRenderersOptions) => {
  181:   const _canvas = document.createElement('canvas')
  182    await toCanvas(_canvas, content, options)

src\components\Sticky\src\Sticky.vue:
  53      if (style) return style
  54:     const computed = document.defaultView?.getComputedStyle(element, '')
  55      return computed ? computed[styleName] : ''

  79    while (parent) {
  80:     if ([window, document, document.documentElement].includes(parent)) return window
  81      if (isScroll(parent, isVertical)) return parent

src\components\Table\src\Table.vue:
  112            background: true,
  113:           pagerCount: document.body.clientWidth < 992 ? 5 : 7,
  114            layout: 'total, sizes, prev, pager, next, jumper',

src\components\UploadFile\src\UploadImg.vue:
  104  const editImg = () => {
  105:   const dom = document.querySelector(`#${uuid.value} .el-upload__input`)
  106    dom && dom.dispatchEvent(new MouseEvent('click'))

src\hooks\web\useNProgress.ts:
   5  
   6: const primaryColor = useCssVar('--el-color-primary', document.documentElement)
   7  

  12      await nextTick()
  13:     const bar = document.getElementById('nprogress')?.getElementsByClassName('bar')[0] as ElRef
  14      if (bar) {

src\hooks\web\useTitle.ts:
  15      (n, o) => {
  16:       if (isString(n) && n !== o && document) {
  17:         document.title = n
  18        }

src\hooks\web\useWatermark.ts:
   2  
   3: export function useWatermark(appendEl: HTMLElement | null = document.body) {
   4    let func: Fn = () => {}

   6    const clear = () => {
   7:     const domId = document.getElementById(id)
   8      if (domId) {

  16  
  17:     const can = document.createElement('canvas')
  18      can.width = 300

  30  
  31:     const div = document.createElement('div')
  32      div.id = id

  37      div.style.zIndex = '100000000'
  38:     div.style.width = document.documentElement.clientWidth + 'px'
  39:     div.style.height = document.documentElement.clientHeight + 'px'
  40      div.style.background = 'url(' + can.toDataURL('image/png') + ') left top repeat'

src\layout\components\Setting\src\Setting.vue:
  31    appStore.setTheme({ elColorPrimary: color })
  32:   const leftMenuBgColor = useCssVar('--left-menu-bg-color', document.documentElement)
  33    setMenuTheme(trim(unref(leftMenuBgColor)))

  61  const setMenuTheme = (color: string) => {
  62:   const primaryColor = useCssVar('--el-color-primary', document.documentElement)
  63    const isDarkColor = colorIsDark(color)

src\layout\components\TagsView\src\TagsView.vue:
  174      )
  175:     const tgsRefs = document.getElementsByClassName(`${prefixCls}__item`)
  176  

src\layout\components\UserInfo\src\UserInfo.vue:
  51  }
  52: const toDocument = () => {
  53    window.open('https://doc.iocoder.cn/')

  72            <Icon icon="ep:menu" />
  73:           <div @click="toDocument">{{ t('common.document') }}</div>
  74          </ElDropdownItem>

src\locales\en.ts:
   9      loginOut: 'Login out',
  10:     document: 'Document',
  11      profile: 'User Center',

src\plugins\tongji\index.ts:
  11    }
  12:   const hm = document.createElement('script')
  13    hm.src = 'https://hm.baidu.com/hm.js?' + HM_ID
  14:   const s = document.getElementsByTagName('script')[0]
  15    s.parentNode.insertBefore(hm, s)

src\plugins\vueI18n\helper.ts:
  1  export const setHtmlPageLang = (locale: LocaleType) => {
  2:   document.querySelector('html')?.setAttribute('lang', locale)
  3  }

src\store\modules\app.ts:
  243        if (this.isDark) {
  244:         document.documentElement.classList.add('dark')
  245:         document.documentElement.classList.remove('light')
  246        } else {
  247:         document.documentElement.classList.add('light')
  248:         document.documentElement.classList.remove('dark')
  249        }

src\utils\domUtils.ts:
    1  import { isServer } from './is'
    2: const ieVersion = isServer ? 0 : Number((document as any).documentMode)
    3  const SPECIAL_CHARS_REGEXP = /([\:\-\_]+(.))/g

  102  export function getViewportOffset(element: Element): ViewportOffsetResult {
  103:   const doc = document.documentElement
  104  

  124  
  125:   const clientWidth = window.document.documentElement.clientWidth
  126:   const clientHeight = window.document.documentElement.clientHeight
  127    return {

  138  export const on = function (
  139:   element: HTMLElement | Document | Window,
  140    event: string,

  149  export const off = function (
  150:   element: HTMLElement | Document | Window,
  151    event: string,

  205          try {
  206:           const computed = (document as any).defaultView.getComputedStyle(element, '')
  207            return element.style[styleName] || computed ? computed[styleName] : null

  252    while (parent) {
  253:     if ([window, document, document.documentElement].includes(parent)) {
  254        return window

  271  
  272:   if ([window, document, document.documentElement, null, undefined].includes(container)) {
  273      containerRect = {

src\utils\download.ts:
  6    const href = URL.createObjectURL(blob)
  7:   const downA = document.createElement('a')
  8    downA.href = href

src\utils\filt.ts:
   39    return new Promise((resolve, reject) => {
   40:     let canvas = document.createElement('CANVAS') as Nullable<HTMLCanvasElement>
   41      const ctx = canvas!.getContext('2d')

  101    const blobURL = window.URL.createObjectURL(blob)
  102:   const tempLink = document.createElement('a')
  103    tempLink.style.display = 'none'

  108    }
  109:   document.body.appendChild(tempLink)
  110    tempLink.click()
  111:   document.body.removeChild(tempLink)
  112    window.URL.revokeObjectURL(blobURL)

  135    if (isChrome || isSafari) {
  136:     const link = document.createElement('a')
  137      link.href = url

  143  
  144:     if (document.createEvent) {
  145:       const e = document.createEvent('MouseEvents')
  146        e.initEvent('click', true, true)

src\utils\index.ts:
  45  
  46: export const setCssVar = (prop: string, val: any, dom = document.documentElement) => {
  47    dom.style.setProperty(prop, val)

src\views\bpm\processInstance\create\index.vue:
  42        <div class="clearfix">
  43:         <span class="el-icon-document">申请信息【{{ selectProcessDefinition.name }}】</span>
  44          <el-button style="float: right" type="primary" @click="selectProcessDefinition = undefined">

src\views\bpm\processInstance\detail\index.vue:
  89        <template #header>
  90:         <span class="el-icon-document">申请信息【{{ processInstance.name }}】</span>
  91        </template>

src\views\bpm\processInstance\detail\ProcessInstanceTaskList.vue:
  42                >
  43:                 <Icon icon="ep:document" /> 查看表单
  44                </el-button>

src\views\infra\codegen\components\ColumInfoForm.vue:
  129  const formData = ref<CodegenApi.CodegenColumnVO[]>([])
  130: const tableHeight = document.documentElement.scrollHeight - 350 + 'px'
  131  

src\views\mall\trade\order\detail\index.vue:
  157              v-clipboard:success="clipboardSuccess"
  158:             icon="ep:document-copy"
  159              type="primary"

src\views\mp\components\wx-reply\main.vue:
  13        <template #label>
  14:         <el-row align="middle"><Icon icon="ep:document" /> 文本</el-row>
  15        </template>

types\global.d.ts:
  26  
  27:   type AxiosResponseType = 'arraybuffer' | 'blob' | 'document' | 'json' | 'text' | 'stream'
  28  
